Subject: bug#10178: 24.0.92; emacs -q frame too short for fancy splash image

From: Jan Djärv <[email-masked]>
Date: Sun, 11 Dec 2011 13:00:57 +0100

10 dec 2011 kl. 16:13 skrev Stephen Berman:

> On Sat, 10 Dec 2011 14:13:25 +0100 Jan Djärv <[email-masked]> wrote:
> 
> I get:
> 
> ["-unknown-DejaVu Sans Mono-normal-normal-normal-*-12-*-*-*-m-0-iso10646-1" "DejaVu Sans Mono:pixelsize=12:foundry=unknown:weight=normal:slant=normal:width=normal:spacing=100:scalable=true" 12 14 0 0 0]
> 
>> 15 is the font height (i.e. 217 / 15 = 14.466666...).  Do you have that?
> 
> No, but 217/14 = 15.5, which is what image-size shows here.
> 
> I have DejaVu version 2.33, Freetype2 version 2.4.7, and
> xorg-x11-libXpm-devel version 7.6.

Aha!  I have freetype2 version 2.4.4, but if I install 2.4.7 I also get font height 14 and image height 15.5.

In the changelog for freetype2 there is a reference to here:

http://lists.gnu.org/archive/html/freetype-devel/2011-07/msg00049.html

where a change in font metrics for 2.4.6 is discussed.  Quote:

"The changes result in better, more consistent line spacing.
DejaVu got one point smaller, there is nothing wrong with
that too."

So I guess Emacs does the right thing after all.  However, we could think about changing the condition for showing the splash image or shrinking the splash image or reduce the amount of text.

Is the font you use default on Suse?  In that case the splash image won't show up by default on Suse.

	Jan D.